# Interface RcsbFv3DCustomComponentInterface<R, L, S>

#### Type Parameters

- #### R

- #### L

- #### S

#### Hierarchy

- RcsbFv3DCustomComponentInterface

- Defined in src/RcsbFv3D/RcsbFv3DCustomComponent.tsx:28

#####
Index

### Properties

cssConfig?
ctxManager
fullScreen
id
sequencePanelConfig
structurePanelConfig
structureViewer
structureViewerBehaviourObserver
unmount

## Properties

### `Optional` cssConfig

cssConfig?: RcsbFv3DCssConfig

- Defined in src/RcsbFv3D/RcsbFv3DCustomComponent.tsx:33

### ctxManager

ctxManager: RcsbFvCustomContextManager<R, L, S>

- Defined in src/RcsbFv3D/RcsbFv3DCustomComponent.tsx:32

### fullScreen

fullScreen: boolean

- Defined in src/RcsbFv3D/RcsbFv3DCustomComponent.tsx:35

### id

id: string

- Defined in src/RcsbFv3D/RcsbFv3DCustomComponent.tsx:31

### sequencePanelConfig

sequencePanelConfig: RcsbFvCustomSequenceInterface<R, L>

- Defined in src/RcsbFv3D/RcsbFv3DCustomComponent.tsx:30

### structurePanelConfig

structurePanelConfig: RcsbFvStructureConfigInterface<R, S>

- Defined in src/RcsbFv3D/RcsbFv3DCustomComponent.tsx:29

### structureViewer

structureViewer: StructureViewerInterface<R, L, S>

- Defined in src/RcsbFv3D/RcsbFv3DCustomComponent.tsx:36

### structureViewerBehaviourObserver

structureViewerBehaviourObserver: StructureViewerBehaviourObserverInterface<R, L>

- Defined in src/RcsbFv3D/RcsbFv3DCustomComponent.tsx:37

### unmount

unmount: ((flag) => void)

#### Type declaration

- - (flag): void

  - #### Parameters

    - ##### flag: boolean

    #### Returns void

- Defined in src/RcsbFv3D/RcsbFv3DCustomComponent.tsx:34

Generated using TypeDoc